<?php

/**
 * @file
 * Admin page callback and other admin page related functions.
 */

/**
 * Form builder; Configure the SimplePie settings.
 *
 * @ingroup forms
 * @see system_settings_form()
 */
function simplepie_admin_settings() {
  $form['simplepie_cache_location'] = array(
    '#type' => 'textfield',
    '#title' => t('SimplePie Core cache location'),
    '#description' => t('Relative to files directory.'),
    '#default_value' => variable_get('simplepie_cache_location', 'cache/simplepie'),
    '#attributes' => array('class' => file_check_directory(simplepie_get_cache_location()) ? 'ok' : 'error'),
    '#after_build' => array('system_check_directory'),
  );

  return system_settings_form($form);
}
